<template lang="pug">
	component(:is="layout")
		router-view
</template>

<script lang="ts">
import Vue from 'vue';
import Header from '@/components/header.vue';
import Nav from '@/components/nav.vue';

export default Vue.extend({
	beforeCreate() {
		this.$store.dispatch('start_watch');
		this.$store.dispatch('sync');
	},
	computed: {
		layout(): string {
			return (this.$route.meta.layout || 'default') + '-layout';
		},
	},
});
</script>
